//
// pi.js
// Neil Gershenfeld 11/24/18
// pi calculation benchmark
// pi = 3.14159265358979323846
//
var points = 1e10
var a = 0.5
var b = 0.75
var c = 0.25
var pi = 0
var tstart = Date.now()/1000
for (var i = 1; i <= points; ++i)
   pi += a/((i-b)*(i-c))
var tend = Date.now()/1000
var mflops = points*5.0*1e-6/(tend-tstart)
console.log('pi: '+pi)
console.log('time: '+(tend-tstart).toFixed(1)+'s')
console.log('estimated MFlops: '+mflops.toFixed(1))
